Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMPICommunicator::Request Class Reference

`#include <vtkMPICommunicator.h>`

List of all members.

## Public Methods

| Request ()
| ~Request ()
int | Test ()
void | Cancel ()
void | Wait ()

## Public Attributes

vtkMPICommunicatorOpaqueRequest * | Req

## Constructor & Destructor Documentation

vtkMPICommunicator::Request::Request | ( |  | ) |

vtkMPICommunicator::Request::~Request | ( |  | ) |

## Member Function Documentation

int vtkMPICommunicator::Request::Test | ( |  | ) |

void vtkMPICommunicator::Request::Cancel | ( |  | ) |

void vtkMPICommunicator::Request::Wait | ( |  | ) |

## Member Data Documentation

vtkMPICommunicatorOpaqueRequest* vtkMPICommunicator::Request::Req

| Definition at line 117 of file vtkMPICommunicator.h.

The documentation for this class was generated from the following file:

- Parallel/vtkMPICommunicator.h